# ISA Allowance events

ISA Allowance events

Endpoint: POST ISA allowance events
Version: 1.97.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `type` (string, required)
    The type of ISA allowance event:
* CREATED: Allowance was created.
* UPDATED: Allowance was updated.
* EXPIRED: Allowance is no longer valid.
    Enum: "ISA_WRAPPER_ALLOWANCE.CREATED", "ISA_WRAPPER_ALLOWANCE.UPDATED", "ISA_WRAPPER_ALLOWANCE.EXPIRED"

  - `object` (object, required)

  - `object.id` (string, required)
    Allowance unique identifier.

  - `object.created_at` (string, required)
    The date and time the tax wrapper was created.

  - `object.updated_at` (string, required)
    The date and time the tax wrapper was last updated.

  - `object.tax_wrapper_id` (string, required)
    Tax wrapper unique identifier.

  - `object.type` (string, required)
    Type of the allowance:
* ANNUAL - Allowance valid for a tax year.
    Enum: "ANNUAL"

  - `object.status` (string, required)
    Status of the allowance:
* ACTIVE - Current allowance.
* EXPIRED - Allowance from previous years.
    Enum: "ACTIVE", "EXPIRED"

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* GBP - British Pound Sterling
    Enum: "GBP"

  - `object.used_amount` (string, required)

  - `object.remaining_amount` (string, required)

  - `object.valid_from` (string, required)
    The date from which the allowance is valid.

  - `object.tax_year` (any)

  - `object.valid_to` (any)

  - `object.first_subscription_at` (any)

  - `webhook_id` (string, required)
    Webhook unique identifier.

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)


## Response 200 fields
